import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
export declare type NtFormOrientation = 'vertical' | 'horizontal';
export declare class NtFormOrientationDirective implements OnChanges, OnDestroy {
    private readonly _orientationChange;
    private _orientation;
    get orientation(): NtFormOrientation;
    set orientation(value: NtFormOrientation);
    get orientationChange(): import("rxjs").Observable<NtFormOrientation>;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
